Get a customer
curl --request GET \
--url https://apigwuat.corpay.com/customers/{customerAccountNumber} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigwuat.corpay.com/customers/{customerAccountNumber}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigwuat.corpay.com/customers/{customerAccountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigwuat.corpay.com/customers/{customerAccountNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigwuat.corpay.com/customers/{customerAccountNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigwuat.corpay.com/customers/{customerAccountNumber}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigwuat.corpay.com/customers/{customerAccountNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customerAccountNumber": "50000012345",
"customerAddress": {
"addressLines": "123 Main Street Suite 5",
"city": "London",
"country": "United Kingdom",
"countryCode": "GBR",
"region": "Greater London",
"zipCode": "AB12 3CD"
},
"customerBusinessReference": "10234398",
"customerContact": {
"emailAddress": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"middleName": "A",
"mobilePhone": "+447700900123",
"telephone": "+441234567890"
},
"customerName": "Acme Corp",
"status": "Active",
"statusIdentifier": 1,
"countOfSubAccounts": 2,
"parentCustomerAccountNumber": "980000000",
"parentCustomerIdentifier": 3211
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Customer
Get a customer
Retrieve the full customer profile by Corpay customer account number. Customer’s MAIN address and contact is returned in response.
GET
/
customers
/
{customerAccountNumber}
Get a customer
curl --request GET \
--url https://apigwuat.corpay.com/customers/{customerAccountNumber} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigwuat.corpay.com/customers/{customerAccountNumber}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigwuat.corpay.com/customers/{customerAccountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigwuat.corpay.com/customers/{customerAccountNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigwuat.corpay.com/customers/{customerAccountNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigwuat.corpay.com/customers/{customerAccountNumber}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigwuat.corpay.com/customers/{customerAccountNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customerAccountNumber": "50000012345",
"customerAddress": {
"addressLines": "123 Main Street Suite 5",
"city": "London",
"country": "United Kingdom",
"countryCode": "GBR",
"region": "Greater London",
"zipCode": "AB12 3CD"
},
"customerBusinessReference": "10234398",
"customerContact": {
"emailAddress": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"middleName": "A",
"mobilePhone": "+447700900123",
"telephone": "+441234567890"
},
"customerName": "Acme Corp",
"status": "Active",
"statusIdentifier": 1,
"countOfSubAccounts": 2,
"parentCustomerAccountNumber": "980000000",
"parentCustomerIdentifier": 3211
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Performance expectations:
p50: 170 ms, p99: 600 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 170 ms, p99: 600 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'
Path Parameters
Response
Customer
Show child attributes
Show child attributes
Reference to Consumer System Internal Identifier
Show child attributes
Show child attributes
Identifier of the customer's current status.
Number of direct subaccounts of this customer.
Account number of the customer's parent account.
Internal identifier of the customer's parent account.